=== debian/changelog ===
speedcrunch (0.10.1-4) unstable; urgency=low

  * debian/patches/signed.diff: closes: #654606.

 -- Bart Martens <bartm@debian.org>  Mon, 30 Apr 2012 21:05:36 +0000

speedcrunch (0.10.1-3) unstable; urgency=low

  * debian/patches/focus.diff: Closes: #580857.

 -- Bart Martens <bartm@debian.org>  Sat, 01 Oct 2011 08:39:41 +0200

speedcrunch (0.10.1-2) unstable; urgency=low

  * debian/speedcrunch.desktop: Updated.  Closes: 530316.
  * debian/watch: Fixed.

 -- Bart Martens <bartm@debian.org>  Tue, 09 Jun 2009 10:58:06 +0200

speedcrunch (0.10.1-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Added copyright notice.
  * debian/rules: Convert .ts files to .qm files using lrelease.

 -- Bart Martens <bartm@debian.org>  Tue, 01 Jul 2008 09:04:21 +0200

speedcrunch (0.10-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Updated.
  * debian/install, debian/menu, debian/rules, debian/speedcrunch.desktop:
    Updated for renamed icon file.
  * debian/control: Homepage, Standards-Version.

 -- Bart Martens <bartm@debian.org>  Sat, 26 Apr 2008 07:58:40 +0200

speedcrunch (0.9-1) unstable; urgency=low

  * New upstream release.

 -- Bart Martens <bartm@debian.org>  Wed, 05 Dec 2007 21:59:09 +0100

speedcrunch (0.8-2) unstable; urgency=low

  * debian/control, debian/watch: Updated upstream homepage.  Closes: #449957.
  * debian/menu: Updated section.

 -- Bart Martens <bartm@debian.org>  Sun, 11 Nov 2007 21:51:33 +0100

speedcrunch (0.8-1) unstable; urgency=low

  * New upstream release.
  * debian/control, debian/rules: Replaced autotools by cmake.

 -- Bart Martens <bartm@knars.be>  Sat, 04 Aug 2007 08:48:07 +0200

speedcrunch (0.7-release-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Updated.

 -- Bart Martens <bartm@knars.be>  Fri, 27 Apr 2007 15:30:13 +0200

speedcrunch (0.7-beta2-1) unstable; urgency=low

  * Copied from Ubuntu to Debian.  Closes: #415903.
  * debian/patches/kubuntu_02_qmake.diff: Removed.
  * configure: Modified to ignore unknown options.
  * debian/compat, debian/control: Newer debhelper version.
  * debian/control: Section "math".
  * debian/control, debian/rules: Use autotools.
  * debian/control, debian/rules: Use imagemagick to convert .png to .xpm.
  * debian/copyright, debian/docs: Updated.
  * debian/install, debian/manpages, debian/menu, debian/watch: Added.
  * debian/speedcrunch.desktop: Added "Comment" field.

 -- Bart Martens <bartm@knars.be>  Thu, 22 Mar 2007 20:04:15 +0100

speedcrunch (0.7~beta2-0ubuntu1) feisty; urgency=low

  * New Upstream Version
  * Bumped standars version
  * Removed kubuntu_01_fix_headers.diff
  * Misc fixes in debian/control.  Closes Malone #27957
  * Updated Homepage.  Closes Malone #54194

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Wed, 24 Jan 2007 13:53:09 +1100

speedcrunch (0.7~060412-0ubuntu6) feisty; urgency=low

  * No-change upload to drop the unnecessary libpq4 dependency.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 15 Jan 2007 16:45:18 +0100

speedcrunch (0.7~060412-0ubuntu5) edgy; urgency=low

  * Don't build-dep on libqt4-debug-dev, it no longer exists

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 15 Oct 2006 09:30:00 +0000

speedcrunch (0.7~060412-0ubuntu4) edgy; urgency=low

  * Remove update-alternatives from rules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Jul 2006 11:37:48 +0000

speedcrunch (0.7~060412-0ubuntu3) edgy; urgency=low

  * Add kubuntu_02_qmake.diff, allow for qmake renamed qmake-qt4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Jul 2006 11:37:15 +0000

speedcrunch (0.7~060412-0ubuntu2) edgy; urgency=low

  * Rebuild now that libqt4-debug is in main, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Jul 2006 12:52:00 +0000

speedcrunch (0.7~060412-0ubuntu1) edgy; urgency=low

  * New upstream release
  * Now uses Qt 4
  * Standards-Version changed to 3.7.2
  * Recode configure and conf.pri dos->unix line endings
  * Add kubuntu_01_fix_headers.diff to fix incorrect headers

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu,  6 Jul 2006 11:07:24 +0000

speedcrunch (0.6beta2-0ubuntu1) dapper; urgency=low

  * New upstream release.

 -- Seth Kinast <seth@ubuntu.com>  Tue,  3 Jan 2006 18:55:12 -0600

speedcrunch (0.6beta1-0ubuntu1) breezy; urgency=low

  * Initial release.
  * Added a manpage (from docbook source).
  * Added a desktop file.
  * Sponsored upload for Jean-Remy Falleri <jr.falleri@laposte.net>

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu,  7 Jul 2005 16:47:27 +0000
