=== debian/control ===
Source: speedcrunch
Section: math
Priority: optional
Maintainer: Bart Martens <bartm@debian.org>
Build-Depends: debhelper (>= 8.0.0), libqt4-dev, docbook2x, cmake, imagemagick
Standards-Version: 3.9.3
Homepage: http://www.speedcrunch.org/

Package: speedcrunch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: High precision calculator
 SpeedCrunch is a high precision and high speed
 calculator.
 .
 It's optimized for keyboard use and has advanced
 features: use of functions, use of variables,
 result history, and syntax highlighting. It also
 shows the result as you type.
 .
 SpeedCrunch has a very simple interface, so 
 you can start to use it very quickly.
