=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure
	docbook2x-man debian/speedcrunch.1.docbook
	convert -resize 32x32 src/resources/speedcrunch.png src/resources/speedcrunch.xpm
	lrelease src/i18n/*.ts
	cmake src -DCMAKE_INSTALL_PREFIX=/usr

override_dh_install:
	dh_install
	rm -f debian/speedcrunch/usr/share/speedcrunch/books/images/make_math_pngs.sh

override_dh_clean:
	dh_clean
	rm -f src/i18n/*.qm
	rm -f speedcrunch.1
	rm -f src/resources/speedcrunch.xpm
	rm -rf CMakeFiles/ CMakeCache.txt cmake_install.cmake DartTestfile.txt Makefile
	rm -rf Testing/
	rm -f CTestTestfile.cmake install_manifest.txt src/resources/speedcrunch.qrc.depends
