## speedcrunch 0.10.1maemo4-1

=== debian/changelog ===
speedcrunch (0.10.1maemo4-1) unstable; urgency=low

  * Rebooting the porting effort. Adds portrait support. 

 -- Michael Demetriou <qwazix@outofbounds.gr>  Mon, 28 Feb 2011 11:51:36 +0200

speedcrunch (0.10.1-1maemo3) unstable; urgency=low

  * Rebuilding for PR1.2
  * Fixed: Operators are white on white background

 -- Timo Härkönen <timop.harkonen@gmail.com>  Wed, 24 Mar 2010 21:48:00 +0200

speedcrunch (0.10.1-1maemo2) unstable; urgency=low

  * Fixes: Faulty desktop file

 -- Timo Härkönen <timop.harkonen@gmail.com>  Thu, 18 Mar 2010 23:51:00 +0200

speedcrunch (0.10.1-1maemo1) unstable; urgency=low

  * Initial packagaging
  * Installing binary, translations and other space fillers under /opt

 -- Timo Härkönen <timop.harkonen@gmail.com>  Thu, 18 Mar 2010 17:19:00 +0200
