=== debian/control ===
Source: speedcrunch
Section: user/science
Priority: extra
Maintainer: Michael Demetriou <qwazix@outofbounds.gr>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.6.0), cmake, mce-dev
Standards-Version: 3.7.2

Package: speedcrunch
Architecture: any
Depends: libqt4-core (>= 4.6.0), libqt4-gui (>= 4.6.0), libqt4-xml (>= 4.6.0)
Description: SpeedCrunch is a fast, high precision and powerful desktop calculator.
 SpeedCrunch is easy to use. You just type the expression that you want to calculate and press Enter. You can see clearly what you typed along with the result in the scrollable display. That is faster and more convenient, isn't it?
 You can also paste the expression from the clipboard, that you copied from somewhere else. And, you can quickly copy the last calculation result to the clipboard using Ctrl+R.
 Before you finish, SpeedCrunch may even give already the answer (calc-as-you-type) 
 Features
    * history and results on a scrollable display
    * up to 50 decimal precisions
    * unlimited variable storage
    * intelligent automatic completion
    * fully usable from the keyboard
    * more than 50 built-in math functions
    * optional virtual keypad to be used with a mouse
    * on-the-fly and selection calculation
    * customizable appearance
    * syntax highlighting and parentheses matching
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9sCHAoPETSdROAAAAAZdEVYdENvbW1lbnQAQ3JlYXRlZCB3aXRoIEdJ
 TVBXgQ4XAAANyUlEQVRo3tWay28cx53HP9U93cN5cZ6cBylySIqkREukqCdl
 AZsAjg+BfVpEyWGBnAIDCfaQ/BkOsLnm4Fz2uMghgBwEsGVBK+plyaRkbWRJ
 lClTlkUOKZGc97sftYfh9AwtyaGpIIAbKFRP/6q661u/969GSCklP+BL4Qd+
 /eABuL6LWK/XOX/+AnNzVyiXywgBIJwmRKu1rlavKIpDV5TWs/aYVt89F+e+
 +31Sgq7rjI8P86MfnWZgoB+32931rc4lXqUDhmHw+9//F5nMGqdPnyIUCmLb
 EpC0Z7T67t/tV7Wedb+6Nffl4zt9qwkBjUad5eUVyuU6Z8/+lCNHpggEAi+A
 eCUHLly4yOpqht/+9j85ePCAs8OdSyLlztYB2G68MKbT7FeOA4llWTx9+pS/
 /e0Sf/3reXw+D5OTk3g8nt3pwLVrn3Lq1AnGx8cAQaVSIV8oUKvVsE0Lq2li
 GRa2aSMtiW1JkIAtwBYIqaCgoAgFVai4FBeaqqGpLnSXhq65cWtuevQeevQe
 PD0eNE1zNkJRVAYHhzh8eIJstsj9+/cpFou714FSqUQoFEQIhWazSbPZRNM0
 zp07x5UbN3Dpepfkd7jS7gQvk0z5wnixLTqmaTIxNsHZs2cdsRICenv9gGBt
 bY1KpbJ7AG1lkrLFTgC37uZ/L8/xQe6/SZ+IYzVsbBukbPcSW7bkvb2TrXuw
 pUTaEltKLKszti0yZAq8/ehtfv6zn4MCtm13ARHU63UMw/h+AHYqZus7Jgrp
 o1HeeTdJrWpjSjDtTjOce7Hdy869tXOsM1dReX7/a7jVYeK3OdcG9D0BiC7F
 aouIxGza1GuSel3uXMh2s5yF0wWia4wFluwAtlSBbNodCfyWYXyZ+dyFH2jb
 6S4LsS3zUoIFWAgsaImNbC3Kki1ATm/vfGZtzzWcd4ApBUjRtm0vgPiO9X8X
 B16xG0iqjQbPyg3qNRvLls5uWrZ0xMTu2n3L4cr27zawbc5YigLVCsLeVuqX
 bOaeOLC93w4Iy7JIxmIEbsVZWfeAtb1fctuEss0KJEKChkRzaIC0HefXkkbp
 7HmtFCM1MIAUL27aawDA8Zq2bVOtVfnNr3/De5VfIe3WM+djgk5oIcGyrRfk
 uGXZJJZlO1yWUqIoCkJRELp4Yd6eAQjRFqMOB1yahtGs0xR1vH4vvcGYY9pU
 VaVSzlMql/F4PYR7+zBNEyklLpeLSqVIuVzE4/ESDkQxLcuhlQyDUrlMj9uN
 pusYzeZLxXlPItRWYE3TeHD/LpdvfIXaM0SztsbxQxFOnZoFYGnpIRevfolw
 D2DU15k5EGR29hRCKCwu3mfu0y9Re9KY9TWOH45x9OgxEIK7Dx5w+/33iX35
 Jbn+ftK/+x2zb76JtcPmK3vhQEeEhBCUywU+XVglEvoZuvRheU3u3P+Q/fuf
 4/V6uXz9IeHgv6NLH9IHt+/+mX0D3xAOh7ly4ytikV+gWV6k32b+zp9JpVYI
 Jffx5QcfcHZri8Ef/5jc48f8zx/+wMaf/kQsGMS2zNcTIcfdCygWS/S4BxlN
 +TBNUF0uTGs/m5s5QqEGUoYZ7fdhGqCqYFrT5AqbCEWiu5KMpLwtmkuhYRwk
 lyvhCdUJ5nIMvvsueL2Ex8fZ/9FH5DIZ+sJhpPmPdUD5bj8gnHDA7/eiKQZu
 L4xPQCgC0mwQiQTx+wMEPC48PsnYAYj2gdXMEwr5CQR6cWsSjxfGDkAoCtIo
 EwoF0HQdMx5nPZOBeJxCLseGrhOMx7Et65+hAx037vUGmJ7ysPhgga2tfZTK
 G0yMG0QiUUDh2LE497/4nM3NFIVCltFRg0Q8jaKozMyEePhggY3NAYrFDcbG
 JH19cQQw/Mtfcv6PfyT+4YdkTZPoe+8Ri0axTdPxCHt0ZKIryWiZvrGxURKJ
 AoX8Fj6/h2AwgWlKwCSd3kc4XKBY3OKgTyMYHG85M9NiZHiIvliJQmETv1+n
 t3d/K/izDIYPHCD2/vsUnz1jKBIh1NuLbRhtf/x6oUR3GNFyZDaBQJBwOIpp
 WjuiQ9O06O0NEg5HsCxr24S2wUsCgV6CwRCWZWOaVifxMU16PR5CY2PYpolh
 GM73ulPQ760Dnfy3E1K4XC6q1RpLS4/I5XLo2zlBm1YuV3j06CtyuTwul+bM
 1TSNSqXKV18tUygU0DSXs0hNc1EtFXny6CGF3Baa5vpnJfVihyNzuVwsLy9z
 7do1LMtCCMGxY8d44403AFhdXWVubs7JHaanp5mamkIIwZMnT7h+/bpDO3r0
 KJOTk0gp+frxYy7d/IKi5cEjasweGuTQoSmsLi//GiIknISiWq0yPz/P6dOn
 SSQSFItFrl27RjKZxOfzcePGDd58803i8TiVSoWLFy8Si8UIBoPcvHmTM2fO
 0NfXR6lU4uLFi0QiESKhAJ/dz2CM/AdNy4dbt5hfPkcqtUkoHHWysj0B+HZC
 UygUiMVipNNpDMMgkUgwODjI5uYmzWYTt9tNOp2m2WwSjUaZmJggl8thWRbB
 YJB0Ok2j0SAejzM6OsrW1hZ+j05ZjRML+4gYoLhUCtE3yOY3iERjTma3Zz/Q
 tkItM+rF3FaySCTicCUYDOLz+VBV1aFpmkaxWCQQCBAIBJBS0mw2iUQiKIpC
 uVwmGOxF01wIqRD2wqn9sC8C5VKdXr93V4vfRTDXCacDgQBDQ0PMz8+TSqXY
 2NggHA4Ti8VQFIWJiQnm5+dJJpNsbGzg9/tJpVIoisLIyAg3btygv7+fjY0N
 IpEIiUQSRcDJYcGVO7d4Eh2hWlhjJp4lFtvv6MtrhBI7zaht2xw8eJB4PE4m
 k2FkZIRUKoVhGBiGwejoKMFgkPX1ddLpNMlkEtM0MU2T8fFxotEo6+vrDA8P
 E4/HMQwDS0oOHUjT37fFk8zfSaZ7SSbGqRs2bMv/a3viti1XFIVsNsvt27ep
 Vqs8ffoUgHg8jhCCYrHInTt3qNVqPH36FNu2SSaTCCEoFAp8/vnn1Ot1VlZW
 mJqaIh6PI6VkK5vlzt/vUTEEz59nMM0mieQ+LMvsSmz2rAOdBM80TS5duoTP
 5+PkyZP09/dz+fJlarUaUkquXr1KKBTi5MmTDA8Pc+XKFQqFArZtMzc3RygU
 YnZ2lsHBQa5evUqpVAJpcX3hPsvqLE+Dv+Ab70+4+NlDqpXiDsuzZyvUzpiE
 EGSzWQKBAMePH8cwDKLRKKVSiUwmg9/vxzRNjhw5gmEYxGIxisUia2tr9Pb2
 ous6x48fp9FoEI1GyefzrGUy7OtPkBUpAvFRmjXQ3AmaxgmePd9kdCSA6WRu
 4lX1Fnbl9tqODMDlcjkLtm0bXdfRNA2Xy4Wu6wQCAWzbxrIsdF1H13UURUHT
 NHw+H5Zltea53aiqgmlpHIxC3AeFBny6qqDrulOdaAFQAHvvjsy2bYLBIOFw
 mIWFBfr7+9na2kJVVRKJBKqqMjAwsINmWRapVApd1+nr6+Ozzz5jYGCAjY0N
 VFUlmUyhawoH48/54u4SffEU2VyOQT1DIj6EZdns5vBo11ZICMH09DRra2s8
 f/6cQCDAgQMHnDGHDh1idXWV9fV1/H4/J06cQFEUbNtmamqKtbU11tbWCAQC
 jI2NtfTKlsxODdGfec7aVoaJhM7o0DCWVLFtu8sK7SmYEzsi0nZZpVAokM/n
 yefzNJvNrkpDi5bL5RxaJ1I1yefzL6EJGoZJpZRF1p9Rr2xSrTW6alKvccT0
 strohQsXePbsGUNDQzQaDc6fP49hGKiqytWrV8lms6TTaWzb5uOPP6ZWq6Eo
 CnNzc2SzWYaHhzEMg08++aQ1T4FrN29xPRPlc/lTbmbH+OjSTYxmY4fi7jGY
 a9dtcKyQqqqcOXMGy7IYGBjg+vXrZDIZAoEAhUKBd955B8uyGBwcpFqtsrKy
 QigUotFo8NZbb2GaJvv27aNSqbCyskJ/IsZ6M4p74CTNMuh9vdRFlWfPnjE4
 NETHGe8RQFuJ25xwu914vV5UVUVK6ZyW2LaNx+PB5/Ntn5GB3+9HURSklHi9
 Xnw+n7Obfr/fWZeBnzfi4O+Hug13NgNIarsubCm7KWyZpkkoFMLlcvHgwQOq
 1SqPHz+mVquRSCQIh8OEQiEWFxcdWj6fJ5FIEIlE6Onp4d69e9RqNZaXl6lU
 KiSTSXp6PCS9NR4ub1Iz4fFqhZ7GCom+sFP1E6JzWPi9OKAoLur1prOLQghm
 ZmZ4+PAhCwsLqKrK1NSUk5UdPnyYxcVFbt265SQ0Pp8PKSXT09MsLS0xPz+P
 oihMTU3h8XiwbJt/m45ze/H/eHTXR6SnwvHjETS3d9sKCZpN07n/XgDGx9Ms
 Li5z7NghPJ4eTNPE4+nh6NEZmk0Dl8uFEC3LJCW43W5mZo500QTWdmGqp6eH
 6ekpms0mLpfmzANwe3ycOTaCbTRR1D5sVCfjy+dzfPPNFpVKgb6+IKqq7h7A
 mTMnWFi4y1/+cp7Z2SP4fJ4dIW7nZNHuOm6V36LJlx69to+VOr87hd7Ozht8
 /fUGKytZ6vVN+vrGHD3a1Tlxo9FgYeE2586dp1xuoChthVYcperoibLDd7Se
 KzsKZN0SIITyLZFQdhyGtwpqNpVKkUplndHRfbz99tvMzMy8AOKVAKSUlEol
 lpaWuHfvHqurq9RqtX/p3wh0XScejzM5Ocnk5KST0e0KQBtEvV4nn89TLpe3
 5f1f8+cWIQSqquL1egkGg3i93hcW/w8B/BCu/wezrPe4Qtt7wQAAAABJRU5E
 rkJggg==
 ====
