## speedcrunch 0.10.1maemo5

=== debian/changelog ===
speedcrunch (0.10.1maemo5) unstable; urgency=low

  * Fixed edit area color to comply with hildon theme.
  * Changes to the insert function dialog.

 -- Michael Demetriou <qwazix@outofbounds.gr>  Mon, 07 Mar 2011 18:39:36 +0200
