=== debian/control ===
--- 
+++ 
@@ -23,6 +23,9 @@
     * on-the-fly and selection calculation
     * customizable appearance
     * syntax highlighting and parentheses matching
+XSBC-Bugtracker: mailto:qwazix@gmail.com
+XB-Maemo-Upgrade-Description: Now the edit area is colored according to the hildon theme 
+ Also the 'Insert function' dialog is redesigned and now sports a search form.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
