=== debian/rules ===
#!/usr/bin/make -f

DEB_MAKE_ENVVARS += INSTALL_ROOT=debian/speedcrunch/
DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(CURDIR)/debian/speedcrunch/

APPNAME := speedcrunch
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	lrelease src/i18n/*.ts
	cd builddir && cmake ../src -DCMAKE_INSTALL_PREFIX=/opt

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	rm -f src/i18n/*.qm
	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install

	# Add here commands to install the package into debian/your_appname
	cd builddir && $(MAKE) $(DEB_MAKE_INSTALL_TARGET)
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
