## speedcrunch 0.10.1maemo5-1

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -123,9 +123,9 @@
 
 # freedesktop file
 INSTALL(FILES       speedcrunch.desktop
-        DESTINATION "${CMAKE_INSTALL_PREFIX}/share/applications/"
+        DESTINATION "/usr/share/applications/hildon/"
 )
 
 INSTALL(FILES       resources/speedcrunch.png
-        DESTINATION "${CMAKE_INSTALL_PREFIX}/share/pixmaps/"
+        DESTINATION "/usr/share/pixmaps/"
 )
