=== debian/changelog ===
speedcrunch (0.10.1maemo5-1) unstable; urgency=low

  * Fixed broken shortcut

 -- Michael Demetriou <qwazix@outofbounds.gr>  Mon, 07 Mar 2011 20:39:36 +0200
