## speedcrunch 0.10.1-1maemo1

=== debian/control ===
Source: speedcrunch
Section: user/science
Priority: optional
Maintainer: Timo Härkönen <timop.harkonen@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, cmake
Standards-Version: 3.7.2

Package: speedcrunch
Architecture: any
Depends: libqt4-core, libqt4-gui, libqt4-xml
Description: Fast, high precision and powerful calculator.
