## speedcrunch 0.10.1-1maemo3

=== debian/control ===
Source: speedcrunch
Section: user/science
Priority: optional
Maintainer: Timo Härkönen <timop.harkonen@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.6.0), cmake
Standards-Version: 3.7.2

Package: speedcrunch
Architecture: any
Depends: libqt4-core (>= 4.6.0), libqt4-gui (>= 4.6.0), libqt4-xml (>= 4.6.0)
Description: Fast, high precision and powerful calculator.
