=== debian/changelog ===
speedcrunch (0.11-1) unstable; urgency=low

  * New maintainer (closes: #826923).
  * New upstream release (closes: #771440).
  * debian/docs: update for new readme file.
  * debian/patches: remove outdated patches.
  * debian/speedcrunch.desktop: remove desktop file, upstream now includes one.
  * debian/copyright:
    - Update copyrights.
    - Change to machine-readable format.
  * debian/control:
    - Bump Standards-Version.
    - Add Vcs-* fields.
    - Add explicit Qt 4.8 and libx11-dev Build-Depends.
  * debian/install: PNG icon is now installed by upstream build process.
  * debian/rules:
    - Adapt to build system changes.
    - Use Debian hardening build flags.
    - Enable parallel builds.
  * debian/menu: removed since it's unnecessary now.
  * debian/watch: update to new upstream download location.
  * Add keywords to .desktop file (LP: #994190).

 -- Felix Krull <f_krull@gmx.de>  Sat, 02 Jul 2016 02:12:11 +0200
