=== debian/control ===
Source: speedcrunch
Section: math
Priority: optional
Maintainer: Felix Krull <f_krull@gmx.de>
Build-Depends: debhelper (>= 9), libqt4-dev (>= 4.8), libx11-dev, cmake,
               docbook2x, imagemagick
Standards-Version: 3.9.8
Homepage: http://www.speedcrunch.org/
Vcs-Browser: https://bitbucket.org/fkpackaging/pkg-speedcrunch/
Vcs-Git: https://fk@bitbucket.org/fkpackaging/pkg-speedcrunch.git

Package: speedcrunch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: High precision calculator
 SpeedCrunch is a high precision and high speed calculator.
 .
 It's optimized for keyboard use and has advanced features: use of functions,
 use of variables, result history, and syntax highlighting. It also shows the
 result as you type.
 .
 SpeedCrunch has a very simple interface, so you can start to use it very
 quickly.
