=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all reproducible=+all
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --buildsystem=cmake --sourcedirectory=src --parallel

override_dh_auto_build:
	dh_auto_build -- VERBOSE=1
	docbook2x-man debian/speedcrunch.1.docbook
	convert -resize 32x32 src/resources/speedcrunch.png speedcrunch.xpm
