=== debian/watch ===
version=3
opts="uversionmangle=s/(\d)[\-_]?(rc\d+|pre-rc\d+|pre\d+a?)$/$1~$2/" \
https://bitbucket.org/heldercorreia/speedcrunch/downloads .*/(\d\S*)\.tar\.gz
